package com.nzwz.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * 日志记录表
 *
 * @author Inori
 */
@TableName("tb_log")
public class Log {

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    /**
     * 名称
     */
    private String name;


    /**
     * 访问内容
     */
    private String content;


    /**
     * 请求参数
     */
    private String data;


    /**
     * 是否同步成功
     */
    private Integer flag;


    /**
     * 错误原因
     */
    private String message;


    /**
     * 同步时长
     */
    private Integer costTime;


    /**
     * 创建时间
     */
    private String createTime;


    /**
     * 创建时间
     */
    private String updateTime;


    public Log() {
    }

    public Log(String name, String content, String data) {
        this.name = name;
        this.content = content;
        this.data = data;
    }

    public Log(Integer id, Integer flag, String message, Integer costTime) {
        this.id = id;
        this.flag = flag;
        this.message = message;
        this.costTime = costTime;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public Integer getFlag() {
        return flag;
    }

    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Integer getCostTime() {
        return costTime;
    }

    public void setCostTime(Integer costTime) {
        this.costTime = costTime;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }


}
